Loading...
Searching...
No Matches
osmo_ss7_route_table Struct Reference

`#include <ss7_route_table.h>`

## Data Fields

struct llist_head | list
| member in list of routing tables
struct osmo_ss7_instance * | inst
| osmo_ss7_instance to which we belong
struct llist_head | routes
| list of osmo_ss7_route
struct { |
char * name |
char * description |
} | cfg

## Field Documentation

## [struct]

struct { ... } osmo_ss7_route_table::cfg

Referenced by DEFUN_ATTR(), ss7_route_table_alloc(), ss7_route_table_find(), vty_dump_rtable(), and write_one_rtable().

## description

char* osmo_ss7_route_table::description

Referenced by DEFUN_ATTR(), and write_one_rtable().

## inst

struct osmo_ss7_instance* osmo_ss7_route_table::inst

osmo_ss7_instance to which we belong

Referenced by DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), osmo_ss7_route_name(), osmo_ss7_route_print(), osmo_ss7_vty_go_parent(), ss7_route_alloc(), ss7_route_destroy(), ss7_route_insert(), ss7_route_set_linkset(), ss7_route_table_alloc(), ss7_route_table_find(), ss7_route_table_find_or_create(), ss7_route_table_find_route_by_dpc(), ss7_route_table_find_route_by_dpc_mask(), and write_one_rtable().

## list

struct llist_head osmo_ss7_route_table::list

member in list of routing tables

Referenced by ss7_route_table_alloc(), ss7_route_table_destroy(), and ss7_route_table_find().

## name

char* osmo_ss7_route_table::name

Referenced by ss7_route_table_alloc(), ss7_route_table_find(), ss7_route_table_find_or_create(), vty_dump_rtable(), and write_one_rtable().

## routes

struct llist_head osmo_ss7_route_table::routes

list of osmo_ss7_route

Referenced by route_insert_sorted(), ss7_route_table_alloc(), ss7_route_table_del_routes_by_as(), ss7_route_table_del_routes_by_linkset(), ss7_route_table_find_route_by_dpc(), ss7_route_table_find_route_by_dpc_mask(), vty_dump_rtable(), and write_one_rtable().

The documentation for this struct was generated from the following file:

- src/ss7_route_table.h